searchData={"items":[{"type":"module","title":"AshPostgresBelongsToIndex","doc":"","ref":"AshPostgresBelongsToIndex.html"},{"type":"macro","title":"AshPostgresBelongsToIndex.postgres_belongs_to_index/1","doc":"","ref":"AshPostgresBelongsToIndex.html#postgres_belongs_to_index/1"},{"type":"module","title":"AshPostgresBelongsToIndex.Info","doc":"","ref":"AshPostgresBelongsToIndex.Info.html"},{"type":"function","title":"AshPostgresBelongsToIndex.Info.postgres_belongs_to_index_except/1","doc":"A list of `belongs_to` relationships to exclude from automatic indexing.","ref":"AshPostgresBelongsToIndex.Info.html#postgres_belongs_to_index_except/1"},{"type":"function","title":"AshPostgresBelongsToIndex.Info.postgres_belongs_to_index_except!/1","doc":"A list of `belongs_to` relationships to exclude from automatic indexing.","ref":"AshPostgresBelongsToIndex.Info.html#postgres_belongs_to_index_except!/1"},{"type":"function","title":"AshPostgresBelongsToIndex.Info.postgres_belongs_to_index_options/1","doc":"postgres_belongs_to_index DSL options\n\nReturns a map containing the and any configured or default values.","ref":"AshPostgresBelongsToIndex.Info.html#postgres_belongs_to_index_options/1"},{"type":"module","title":"AshPostgresBelongsToIndex.Transformer","doc":"","ref":"AshPostgresBelongsToIndex.Transformer.html"},{"type":"function","title":"AshPostgresBelongsToIndex.Transformer.after?/1","doc":"Callback implementation for  Spark.Dsl.Transformer.after?/1 .","ref":"AshPostgresBelongsToIndex.Transformer.html#after?/1"},{"type":"function","title":"AshPostgresBelongsToIndex.Transformer.after_compile?/0","doc":"Callback implementation for  Spark.Dsl.Transformer.after_compile?/0 .","ref":"AshPostgresBelongsToIndex.Transformer.html#after_compile?/0"},{"type":"function","title":"AshPostgresBelongsToIndex.Transformer.before?/1","doc":"Callback implementation for  Spark.Dsl.Transformer.before?/1 .","ref":"AshPostgresBelongsToIndex.Transformer.html#before?/1"},{"type":"function","title":"AshPostgresBelongsToIndex.Transformer.get_belongs_toes/1","doc":"","ref":"AshPostgresBelongsToIndex.Transformer.html#get_belongs_toes/1"},{"type":"function","title":"AshPostgresBelongsToIndex.Transformer.transform/1","doc":"Callback implementation for  Spark.Dsl.Transformer.transform/1 .","ref":"AshPostgresBelongsToIndex.Transformer.html#transform/1"},{"type":"extras","title":"AshPostgresBelongsToIndex","doc":"# AshPostgresBelongsToIndex\n\nAutomatically adds AshPostgres custom indexes for `belongs_to` relationships in Ash resources.","ref":"readme.html"},{"type":"extras","title":"Installation - AshPostgresBelongsToIndex","doc":"Add `ash_postgres_belongs_to_index` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:ash_postgres_belongs_to_index, \"~> 0.2.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - AshPostgresBelongsToIndex","doc":"```elixir\ndefmodule Post do\n  use Ash.Resource,\n    data_layer: Ash.DataLayer.Postgres,\n    extensions: [AshPostgresBelongsToIndex]\n\n  postgres do\n    table \"post\"\n  end\n\n  attributes do\n    uuid_primary_key :id\n    attribute :title, :string\n    attribute :content, :string\n  end\n\n  relationships do\n    belongs_to :user, User\n  end\nend\n```\n\nFor the example above, the following index will be generated:\n\n```elixir\npostgres do\n  references do\n    reference :user, index?: true\n  end\nend\n```","ref":"readme.html#usage"},{"type":"extras","title":"License - AshPostgresBelongsToIndex","doc":"MIT","ref":"readme.html#license"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.1"}}